import * as React from "react";
export interface OpenBool {
    open: boolean;
}
export interface ArrowProps extends OpenBool {
    disabled?: boolean;
}
export interface CollapsableProps extends OpenBool {
    header: React.ReactNode;
    headerOpen?: React.ReactNode;
    ArrowComponent?: any;
    disabled?: boolean;
    className?: string;
}
export interface CollapseAreaProps extends OpenBool {
    height: number | null;
}
export declare const CollapseArea: import("styled-components").StyledComponent<"div", any, CollapseAreaProps, never>;
export declare const Arrow: import("styled-components").StyledComponent<"div", any, ArrowProps, never>;
export declare const HeaderWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare class Collapsable extends React.Component<CollapsableProps, CollapseAreaProps> {
    collapseArea: HTMLDivElement | null;
    constructor(props: CollapsableProps);
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: CollapsableProps): void;
    render(): JSX.Element;
    private open;
}
